Skip to main content

Setting a default tariff for a channel type

Last updated: 27 October 2026

Use the api/v1/tariffs/set-default method to set a default tariff for a channel type.

Rules for applying the default tariff​

  • You can set only one default tariff for each channel type.
  • When you set a new tariff, the previous tariff automatically loses its default tariff attribute: isDefault changes to false.
  • After you set a default tariff, all existing channels of this type for which no tariff is selected automatically become active with the new tariff.
  • After a new channel is successfully registered through the API, it receives the default tariff and its status changes to
    Correct
    . edna Pulse sends a webhook about the channel status change with the ACTIVE value.
  • Channels for which a tariff is already selected don't change.
  • If you haven't set a default tariff for this channel type, select the tariff manually in the edna Pulse account.

Method call​

To set a default tariff for a channel type with the api/v1/tariffs/set-default method, send a POST request to https://app.edna.io/api/v1/tariffs/set-default.

Request format​

{
"channelType": "string",
"tariffId": number
}

Request example​

{
"channelType": "WHATSAPP",
"tariffId": 14
}

Request parameters​

ParameterData typeRequiredDescription
channelTypestringRequiredThe channel type for which you set the default tariff.
Possible values:
- WHATSAPP;
- VIBER.
tariffIdnumberRequiredThe identifier of the tariff that you should set as the default for the channel type. To get the tariff identifier, use the api/v1/tariffs method—the id field. File IconRetrieving the list of available tariffs

Response format​

If the request is successful, it returns 204 No Content.

Checking the selected tariff​

To check which tariff is set as the default, get the list of tariffs for the required channel type with the api/v1/tariffs method.

File IconRetrieving the list of available tariffs

In the response, the default tariff has isDefault: true, and the other tariffs of the same channel type have isDefault: false.